### Enumeration

# FwupdPlugin EfiFileType

since: 1.0

#### Declaration

    enum FwupdPlugin.EfiFileType

#### Description

No description available.

Available since: 1.0

#### Members

`FU_EFI_FILE_TYPE_ALL`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_RAW`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_FREEFORM`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_SECURITY_CORE`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_PEI_CORE`
  No description available.
  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_DXE_CORE`
  No description available.
  - Value: `5`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_PEIM`
  No description available.
  - Value: `6`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_DRIVER`
  No description available.
  - Value: `7`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_COMBINED_PEIM_DRIVER`
  No description available.
  - Value: `8`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_APPLICATION`
  No description available.
  - Value: `9`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_MM`
  No description available.
  - Value: `10`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_FIRMWARE_VOLUME_IMAGE`
  No description available.
  - Value: `11`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_COMBINED_MM_DXE`
  No description available.
  - Value: `12`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_MM_CORE`
  No description available.
  - Value: `13`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_MM_STANDALONE`
  No description available.
  - Value: `14`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_MM_CORE_STANDALONE`
  No description available.
  - Value: `15`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_FFS_PAD`
  No description available.
  - Value: `240`
  - Nickname: `None`
  - Available since: 1.0